From ac504c2836ac010a6c0d02f9513710f23eccacd3 Mon Sep 17 00:00:00 2001
From: Lucki <lucki@holarse-linuxgaming.de>
Date: Thu, 1 Dec 2022 00:13:02 +0000
Subject: [PATCH 04/11] Do not ignore XDG spec on non flatpak

---
 hydrapaper/confManager.py | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

diff --git a/hydrapaper/confManager.py b/hydrapaper/confManager.py
index 6eede24..6b62eea 100644
--- a/hydrapaper/confManager.py
+++ b/hydrapaper/confManager.py
@@ -6,6 +6,7 @@ from .is_image import is_image
 from os import makedirs, listdir, system
 from os import environ as Env
 import json
+import os
 from threading import Thread
 
 pictures_dir = GLib.get_user_special_dir(GLib.UserDirectory.DIRECTORY_PICTURES)
@@ -107,12 +108,8 @@ class ConfManager(metaclass=Singleton):
             ) or 'WAYLAND_DISPLAY' in Env.keys()
         )
 
-        if self.is_flatpak:
-            self.config_home = Env.get('XDG_CONFIG_HOME')
-            self.cache_home = Env.get('XDG_CACHE_HOME')
-        else:
-            self.config_home = f'{Env.get("HOME")}/.config'
-            self.cache_home = f'{Env.get("HOME")}/.cache'
+        self.config_home = os.getenv('XDG_CONFIG_HOME', f'{Env.get("HOME")}/.config')
+        self.cache_home = os.getenv('XDG_CACHE_HOME', f'{Env.get("HOME")}/.cache')
         self.path = Path(
             f'{self.config_home}/org.gabmus.hydrapaper.json'
         )
-- 
2.40.1


